Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4997879

1.4.2 Mime Type not displayed in Netscape 6.2.3 plugins information

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      sparc
    • OS:
      solaris_9

      Description

      In Netscape, the user can view what plugins are registered with Netscape by going to Help->About Plug-ins. However with 1.4.2_04b4 JDK and Netscape 6.2.3 Solaris Sparc the 1.4.1, 1.4.2 and 1.4.2_04 plugin information is not displayed.


      ----------

      Below is what is displayed in Netscape 6.2.3

      Mime Type Description Suffixes Enabled application/x-java-vm Java(tm) Plug-in Yes application/x-java-applet Java(tm) Plug-in Yes application/x-java-applet;version=1.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.3 Java(tm) Plug-in Yes application/x-java-applet;version=1.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.2.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.2.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.3 Java(tm) Plug-in Yes application/x-java-applet;version=1.3.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.4 Java(tm) Plug-in Yes application/x-java-applet;jpi-version=1.4 Java(tm) Plug-in Yes application/x-java-bean Java(tm) Plug-in Yes application/x-java-bean;version=1.1 Java(tm) Plug-in Yes
      application/x-java-bean;version=1.1.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.1.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.1.3 Java(tm) Plug-in Yes application/x-java-bean;version=1.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.2.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.2.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.3 Java(tm) Plug-in Yes application/x-java-bean;version=1.3.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.4 Java(tm) Plug-in Yes application/x-java-bean;jpi-version=1.4 Java(tm) Plug-in Yes

      ----------


      This is specific to Netscape 6.2.3 as with Netscape 4.78 and 7.0, the 1.4.2_04 Mime Types are displayed:

      Mime Type Description Suffixes Enabled application/x-java-vm Java(tm) Plug-in Yes application/x-java-applet Java(tm) Plug-in Yes application/x-java-applet;version=1.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.1.3 Java(tm) Plug-in Yes application/x-java-applet;version=1.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.2.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.2.2 Java(tm) Plug-in Yes application/x-java-applet;version=1.3 Java(tm) Plug-in Yes application/x-java-applet;version=1.3.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.4 Java(tm) Plug-in Yes application/x-java-applet;version=1.4.1 Java(tm) Plug-in Yes application/x-java-applet;version=1.4.2 Java(tm) Plug-in Yes application/x-java-applet;jpi-version=1.4.2_04 Java(tm) Plug-in Yes application/x-java-bean Java(tm) Plug-in Yes
      application/x-java-bean;version=1.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.1.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.1.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.1.3 Java(tm) Plug-in Yes application/x-java-bean;version=1.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.2.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.2.2 Java(tm) Plug-in Yes application/x-java-bean;version=1.3 Java(tm) Plug-in Yes application/x-java-bean;version=1.3.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.4 Java(tm) Plug-in Yes application/x-java-bean;version=1.4.1 Java(tm) Plug-in Yes application/x-java-bean;version=1.4.2 Java(tm) Plug-in Yes application/x-java-bean;jpi-version=1.4.2_04 Java(tm) Plug-in Yes

      ----------

      However the 1.4.1 and 1.4.2 mime types must also be enabled as they pass Mime Type tests at http://sqeweb.sfbay.sun.com/deployment1/mantis_ws_plugin/doc/proc/JPI_bat.html (testcase 3) and 1.4.2_04 is shown in the Java Console so it is only the information shown in Help->About Plugins that seems to have to be fixed


      Steps to reproduce:
      1) Install 1.4.2_04b4 JDK
      2) Install Netscape 6.2.3 (can be downloaded from http://wwws.sun.com/software/solaris/netscape/getnetscape623.html)
      3) Register Java Plugin with Netscape (instructions from java.sun.com)

      Create a symbolic link to the Java Plug-in libjavaplugin_oji.so file in the Netscape 6/7 or Mozilla Plugins directory.

      cd <Netscape 6/7 | Mozilla>/plugins
      ln -s <JRE>/plugin/sparc/ns610/libjavaplugin_oji.so .

      Be sure to include the period at the end.

      4) Start Netscape 6.2.3 and go to Help->About-Plugins
      5) Test Mime Types by going to http://sqeweb.sfbay.sun.com/deployment1/mantis_ws_plugin/doc/proc/JPI_bat.html


      ###@###.### 2004-02-20

      ===============================

        Attachments

          Activity

            People

            Assignee:
            pcashman Pat Cashman
            Reporter:
            duke J. Duke (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: